Loading...
Searching...
No Matches
itk::MeshFileReaderBase< TOutputMesh > Class Template Reference

`#include <itkMeshFileReaderBase.h>`

## Detailed Description

template<class TOutputMesh>
class itk::MeshFileReaderBase< TOutputMesh >

Base class for mesh readers.

A base class for classes that read a file containing a mesh or a pointset.

Definition at line 37 of file itkMeshFileReaderBase.h.

Inheritance diagram for itk::MeshFileReaderBase< TOutputMesh >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = MeshFileReaderBase
using | Superclass = MeshSource<TOutputMesh>

## Public Member Functions

void | EnlargeOutputRequestedRegion (DataObject *output) override
void | GenerateOutputInformation () override
virtual const char * | GetClassName () const
virtual const char * | GetFileName () const
| ITK_DISALLOW_COPY_AND_MOVE (MeshFileReaderBase)
virtual void | SetFileName (const char *_arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| MeshFileReaderBase ()=default
virtual void | TestFileExistanceAndReadability ()
| ~MeshFileReaderBase () override=default

## Protected Attributes

std::string | m_FileName {}

## Member Typedef Documentation

## ConstPointer

template<class TOutputMesh>

using itk::MeshFileReaderBase< TOutputMesh >::ConstPointer = SmartPointer<const Self>

Definition at line 46 of file itkMeshFileReaderBase.h.

## Pointer

template<class TOutputMesh>

using itk::MeshFileReaderBase< TOutputMesh >::Pointer = SmartPointer<Self>

Definition at line 45 of file itkMeshFileReaderBase.h.

## Self

template<class TOutputMesh>

using itk::MeshFileReaderBase< TOutputMesh >::Self = MeshFileReaderBase

Standard class typedefs.

Definition at line 43 of file itkMeshFileReaderBase.h.

## Superclass

template<class TOutputMesh>

using itk::MeshFileReaderBase< TOutputMesh >::Superclass = MeshSource<TOutputMesh>

Definition at line 44 of file itkMeshFileReaderBase.h.

## Constructor & Destructor Documentation

## MeshFileReaderBase()

template<class TOutputMesh>

itk::MeshFileReaderBase< TOutputMesh >::MeshFileReaderBase | ( |  | ) |

protected default

## ~MeshFileReaderBase()

template<class TOutputMesh>

itk::MeshFileReaderBase< TOutputMesh >::~MeshFileReaderBase | ( |  | ) |

override protected default

## Member Function Documentation

## EnlargeOutputRequestedRegion()

template<class TOutputMesh>

void itk::MeshFileReaderBase< TOutputMesh >::EnlargeOutputRequestedRegion | ( | DataObject * | output | ) |

override

Give the reader a chance to indicate that it will produce more output than it was requested to produce. MeshFileReader cannot currently read a portion of a mesh, so the MeshFileReader must enlarge the RequestedRegion to the size of the mesh on disk.

## GenerateOutputInformation()

template<class TOutputMesh>

void itk::MeshFileReaderBase< TOutputMesh >::GenerateOutputInformation | ( |  | ) |

override

Prepare the allocation of the output mesh during the first back propagation of the pipeline.

## GetClassName()

template<class TOutputMesh>

virtual const char * itk::MeshFileReaderBase< TOutputMesh >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in itk::TransformixInputPointFileReader< TOutputMesh >.

## GetFileName()

template<class TOutputMesh>

virtual const char * itk::MeshFileReaderBase< TOutputMesh >::GetFileName | ( |  | ) | const

virtual

Set/Get the filename

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TOutputMesh>

itk::MeshFileReaderBase< TOutputMesh >::ITK_DISALLOW_COPY_AND_MOVE | ( | MeshFileReaderBase< TOutputMesh > |  | ) |

## New()

template<class TOutputMesh>

Pointer itk::MeshFileReaderBase< TOutputMesh >::New | ( |  | ) |

static

Method for creation through the object factory.

## SetFileName()

template<class TOutputMesh>

virtual void itk::MeshFileReaderBase< TOutputMesh >::SetFileName | ( | const char * | _arg | ) |

virtual

## TestFileExistanceAndReadability()

template<class TOutputMesh>

virtual void itk::MeshFileReaderBase< TOutputMesh >::TestFileExistanceAndReadability | ( |  | ) |

protected virtual

Test whether the given filename exist and it is readable, this is intended to be called before attempting to use subclasses for actually reading the file. If the file doesn't exist or it is not readable, and exception with an appropriate message will be thrown.

## Field Documentation

## m_FileName

template<class TOutputMesh>

std::string itk::MeshFileReaderBase< TOutputMesh >::m_FileName {}

protected

Definition at line 90 of file itkMeshFileReaderBase.h.

Generated on 1768596610 for elastix by 1.15.0 |